package com.steerinfo.meterwork.meterworkcarcheck.service;

import com.steerinfo.baseinfo.meterbasecalibrastandard.model.MeterBaseCalibraStandard;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.framework.service.pagehelper.PageList;
import com.steerinfo.meterwork.meterworkcarcheck.model.MeterWorkCarCheck;

import java.util.List;
import java.util.Map;

/**
 * MeterWorkCarCheck服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-10-19 05:07
 * 类描述
 * 修订历史：
 * 日期：2020-10-19
 * 作者：generator
 * 参考：
 * 描述：MeterWorkCarCheck服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterWorkCarCheckService extends IBaseService<MeterWorkCarCheck, String>{

    PageList<MeterWorkCarCheck> relationOut(Map<String,Object> parmas, Integer pageNum, Integer pageSize);

    MeterWorkCarCheck incomeAndCheck(MeterWorkCarCheck model);

    MeterWorkCarCheck outcomeAndCheck(MeterWorkCarCheck model);

    int incomeAndDelete(List<MeterWorkCarCheck> models);

    int outcomeAndDelete(List<MeterWorkCarCheck> models);

    PageList<MeterWorkCarCheck> relationIn(Map<String,Object> parmas,Integer pageNum, Integer pageSize);

    RESTfulResult doQueryWf(MeterWorkCarCheck oci);
//    核查记录添加
    String checkandadd(MeterWorkCarCheck model);
//    核查记录修改
    String checkandupdate(String id,MeterWorkCarCheck model);
}